OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.NV.TransformFeedback2

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_transform_feedback2 extension, see http://www.opengl.org/registry/specs/NV/transform_feedback2.txt.

Synopsis

- glBindTransformFeedback :: GLenum -> GLuint -> IO ()
- glDeleteTransformFeedbacks :: GLsizei -> Ptr GLuint -> IO ()
- glGenTransformFeedbacks :: GLsizei -> Ptr GLuint -> IO ()
- glIsTransformFeedback :: GLuint -> IO GLboolean
- glPauseTransformFeedback :: IO ()
- glResumeTransformFeedback :: IO ()
- glDrawTransformFeedback :: GLenum -> GLuint -> IO ()
- gl_TRANSFORM_FEEDBACK :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_PAUSED :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_ACTIVE :: GLenum
- gl_TRANSFORM_FEEDBACK_BINDING :: GLenum

# Functions

glBindTransformFeedback :: GLenum -> GLuint -> IO ()Source

glDeleteTransformFeedbacks :: GLsizei -> Ptr GLuint -> IO ()Source

glGenTransformFeedbacks :: GLsizei -> Ptr GLuint -> IO ()Source

glIsTransformFeedback :: GLuint -> IO GLboolean Source

glPauseTransformFeedback :: IO ()Source

glResumeTransformFeedback :: IO ()Source

glDrawTransformFeedback :: GLenum -> GLuint -> IO ()Source

# Tokens

gl_TRANSFORM_FEEDBACK :: GLenum Source

gl_TRANSFORM_FEEDBACK_BUFFER_PAUSED :: GLenum Source

gl_TRANSFORM_FEEDBACK_BUFFER_ACTIVE :: GLenum Source

gl_TRANSFORM_FEEDBACK_BINDING :: GLenum Source